-- LuaSocket n'est pas chargé dans Lua par défaut :
print(socket) --> nil

-- Un module supplémentaire se charge avec la fonction "require",
-- dont le fonctionnement un peu complexe sera vu plus tard.
local socket = require("socket")

-- Il se peut que la ligne précédente génère une erreur du type
-- "module 'socket' not found". Cela indique que LuaSocket n'est
-- pas installé dans votre distribution.
-- Se référer dans ce cas au chapitre d'installation.

-- Un module consiste généralement en une table de fonctions :
print(socket) --> table: 0x23456710
print(socket.bind) --> function: 0x34567120
print(socket._VERSION) --> LuaSocket 2.0.2

-- Un sous-module peut se charger de manière similaire :
local http = require("socket.http")
