function RetrieveURL(url)
  local socket = require 'socket'
  local host, port, path = string.match(url,
    "^http://([%w%-%.]+):?(%d*)/?(.*)")
  port = tonumber(port) or 80
  local connection = socket.connect(host, port)
  local request = "GET /" .. path ..
    " HTTP/1.0\r\nHost: " .. host .. "\r\n\r\n"
  connection:send(request)
  local data = connection:receive("*a")
  connection:close()
  local header, body = string.match(data,
    "(.-\r\n)\r\n(.*)")
  return body, header
end

local function SaveContent(data, filename)
  local file = io.stdout
  if filename then
    file = io.open(filename, "wb")
  end
  file:write(data)
end

local url, filename = ...
SaveContent(RetrieveURL(url), filename)
